/* You can add global styles to this file, and also import other style files */

@import "constants";

* {
  margin: 0;
  padding: 0;
  font-size: 16px;
  font-family: Roboto, sans-serif;
}

button {
  &:hover {
    cursor: pointer;
  }
}

.errorMessage {
  font-style: italic;
  font-size: 0.625rem;
  color: $ERROR_RED;
  letter-spacing: 0.15px;
  line-height: 12px;
}

.passwordToggleIcon {
  height: 0.75rem;
  width: 0.75rem;
  margin-right: 0.25rem;
}

.generic-label {
  font-size: 0.75rem;
  color: $LABEL_TEXT;
  letter-spacing: 0.15px;
  line-height: 0.75rem;
}

.inputContainer {
  width: 100%;
  display: flex;
  flex-direction: column;
  margin-bottom: 0.5rem;
  background: $WHITE;
  box-shadow: 0 1px 2px 0 rgba(0,0,0,0.30);
  border-radius: 3px;
  padding: 0.125rem 0.25rem 0.25rem 0.5rem;

  img[title~="Error"] {
    margin-right: 2px;
  }

  > div {
    width: 100%;
    border-bottom: solid 1px transparent;

    &:focus-within {
      border-bottom-color: $GAGGLE_BLUE;
    }
  }

  > div > div {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  button {
    border: none;
    background-color: transparent;
    display: flex;
    flex-direction: row;
    align-items: flex-start;

    > p {
      font-size: 0.75rem;
      color: $LABEL_TEXT;
      letter-spacing: 0.15px;
      text-align: right;
      line-height: 1rem;
    }
  }

  input {
    border: none;
    max-height: 1.25rem;
    font-size: 0.875rem;
    flex: 1;

    &:focus {
      outline: none;
    }
  }

  label {
    @extend .generic-label;
    margin-bottom: 2px;
  }

  button {
    p {
      @extend .generic-label
    }
  }
}
